Skip to content
API referencePlatformPlatform app builds

Platform_create_app_build

POST
/platform/v1/app-builds

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for POST /platform/v1/app-builds. The brand config follows scripts/whitelabel/schema/brand.schema.json; the service re-validates it and rebinds project_id to the authorized project.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/platform/v1/app-builds" \  -H "Content-Type: application/json" \  -d '{    "brand_config": null  }'
{  "artifact_id": 0,  "created_at": "2019-08-24T14:15:22Z",  "failure_reason": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "run_id": 0,  "slug": "string",  "status": "string",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}